import { AuthenticationTokenSupplier } from "./types";
type UriPredicate = (uri: string) => boolean;
interface SupplierEntry {
    predicate: UriPredicate;
    supplier: AuthenticationTokenSupplier;
}
export default function createCompositeTokenSupplier(suppliers: readonly SupplierEntry[]): AuthenticationTokenSupplier;
export declare class CompositeTokenSupplierBuilder {
    private readonly suppliers;
    constructor();
    predicate(predicate: UriPredicate, supplier: AuthenticationTokenSupplier): CompositeTokenSupplierBuilder;
    origin(origin: string, supplier: AuthenticationTokenSupplier): CompositeTokenSupplierBuilder;
    default(supplier: AuthenticationTokenSupplier): CompositeTokenSupplierBuilder;
    build(): AuthenticationTokenSupplier;
}
export {};
