import { FetchHooksError } from "@contentgrid/fetch-hooks";
import { AuthenticationTokenSupplier } from "./types";
import { ValueProvider } from "@contentgrid/fetch-hooks/value-provider";
interface TokenExchangeConfiguration {
    exchangeUrl: ValueProvider<string, [{
        fetch: typeof fetch;
    }]>;
}
export default function createContentgridTokenExchangeTokenSupplier(config: TokenExchangeConfiguration): AuthenticationTokenSupplier;
/**
 * Base class for token exchange errors
 */
export declare class TokenExchangeError extends FetchHooksError {
    constructor(message: string);
}
/**
 * Unexpected deviation from the expected token exchange flow
 */
export declare class TokenExchangeProtocolViolationError extends TokenExchangeError {
    constructor(message: string);
}
/**
 * A potentially-expected OAuth error response
 */
export declare class OAuth2AuthenticationError extends TokenExchangeError {
    readonly code: string;
    readonly description: string;
    constructor(code: string, description: string);
}
export {};
